Bug 277480 - Export Flash dose not work
Summary: Export Flash dose not work
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-Flash (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 17:27 UTC by مصطفی برمشوری
Modified: 2018-08-23 08:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments
Patch that fix wrong gallery.xml file (2.74 KB, patch)
2011-07-13 07:57 UTC, Veaceslav Munteanu
Details
index.html page generated by the plugin. (3.86 KB, text/html)
2011-07-13 08:05 UTC, caulier.gilles
Details
this patch only fix index.html please use it with flashexport.patch (1.02 KB, patch)
2011-07-13 08:25 UTC, Veaceslav Munteanu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description مصطفی برمشوری 2011-07-10 17:27:39 UTC
Version:           1.8.0
OS:                Linux

I try to export images as Flash but it dose not work well. I download last version of SimpleView.

Reproducible: Couldn't Reproduce

Steps to Reproduce:
Galary xml file is not good.

Actual Results:  
<?xml version="1.0" encoding="UTF-8"?>
<simpleviewerGallery imagePath="images" thumbnailColumns="3" title="" navDirection="LTR" enableRightClickOpen="false" maxImageWidth="640" thumbPath="" navPosition="right" thumbnailRows="3" bgColor="0x181818" stagePadding="20" maxImageHeight="640" frameWidth="1" textColor="0xffffff" frameColor="0xffffff">
 <image>
  <name>images/001.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>002.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>003.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>004.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>005.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>006.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>007.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>008.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>009.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>010.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>011.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>012.jpg</name>
  <caption></caption>
 </image>
 <image>
  <name>013.jpg</name>
  <caption></caption>
 </image>
</simpleviewerGallery>


Expected Results:  
<?xml version="1.0" encoding="UTF-8"?>

<simpleviewergallery
	
	galleryStyle="MODERN"
	title="SimpleViewer Gallery"
	textColor="FFFFFF"
	frameColor="FFFFFF"
	frameWidth="20"
	thumbPosition="LEFT"
	thumbColumns="3"
	thumbRows="3"
	showOpenButton="TRUE"
	showFullscreenButton="TRUE"	
	maxImageWidth="640"
	maxImageHeight="640"
	useFlickr="false"
	flickrUserName=""
	flickrTags=""
	languageCode="AUTO"
	languageList=""		
	imagePath="images/"
	thumbPath="thumbs/"
	
>

<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[Welcome to <u><a href="http://www.simpleviewer.net" target="_blank">SimpleViewer</a></u>.]]></caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption>SimpleViewer is a free, customizable image gallery. Use it to display your images on any web page in a professional, intuitive and simple way.</caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption>SimpleViewer supports Universal Playback and can be viewed on Windows, Mac, Linux, iPhone, iPad and Android. Try it and see!</caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[Easily create SimpleViewer galleries using <u><a href="http://www.simpleviewer.net/simpleviewer/support/svbuilder" target="_blank">svBuilder</a></u>, our free desktop app.]]></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption>SimpleViewer features intuitive image navigation, smart image pre-loading and a resizable interface that scales to fit the browser window (try resizing your browser).</caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[Supports optional <b>fullscreen mode</b> and <b>external image links</b> via the Button Bar at top-right and the right-click menu.]]></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="http://www.simpleviewer.net" linkTarget="_blank" >
	<caption>This image use the linkURL attribute to link to a specific URL (use the arrow icon button at top-right to navigate).</caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[Captions can be HTML formatted. Supported tags are <b>bold</b>, <u>underline</u>, <i>italics</i>, <u><a href="http://www.simpleviewer.net" target="_blank">hyperlinks</a></u>, linebreaks<br> and <font color="#ffff00" size="30">font tags</font>]]></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption>Handles images with different aspect ratios. Images can be tall or wide.</caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption>Images can be loaded via an XML document or directly from Flickr using a Flickr user name and/or tags..</caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption>3 different standard gallery styles: Modern, Classic and Compact.</caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption>Navigate through the images by clicking or using the keyboard: Cursor keys, Home, End, Page Up/Down.</caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[View available <u><a href="http://www.simpleviewer.net/simpleviewer/support/standard_options.html" target="_blank">configuration options</a></u>.]]></caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[Includes automatic international language support, and supports non-english characters<br><br>ンツを活用して広告収入を得ることが可能]]></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[For SimpleViewer support and documentation, view the <u><a href="http://www.simpleviewer.net/simpleviewer/support" target="_blank">SimpleViewer Support Page</a></u>.]]></caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption><![CDATA[For advanced customization options, no download link and more - upgrade to <br><u><a href="http://www.simpleviewer.net/simpleviewer/pro" target="_blank">SimpleViewer-Pro</a></u>.]]></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
<image imageURL="images/tall.jpg" thumbURL="thumbs/tall.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
<image imageURL="images/wide.jpg" thumbURL="thumbs/wide.jpg" linkURL="" linkTarget="" >
	<caption></caption>	
</image>
</simpleviewergallery>

OS: Linux (x86_64) release 2.6.37.6-0.5-desktop
Compiler: gcc
Comment 1 Veaceslav Munteanu 2011-07-13 07:57:41 UTC
Created attachment 61831 [details]
Patch that fix wrong gallery.xml file

Hope my patch will fix it. Give it a try.
Comment 2 caulier.gilles 2011-07-13 08:00:28 UTC
Git commit 8bdedb86330ea8962ab4a441359044f43e4f3ccd by Gilles Caulier.
Committed on 13/07/2011 at 09:55.
Pushed by cgilles into branch 'master'.

Apply patch from Munteanu Veaceslav to fix SimpleViewer XML file syntax, to be compatible with current version available.
Fix a litle bug if user press cancel on first run dialog. No need a warning message box in this case.

It still a problem to open generated target index.html : Flash component is not visible on the page.
If simpleviewer.swf is open instead, all work fine as espected. I suspect something wrong in index.html page generated by the plugin.

CCBUGS: 277480

M  +82   -74   flashexport/simpleviewer.cpp     

http://commits.kde.org/kipi-plugins/8bdedb86330ea8962ab4a441359044f43e4f3ccd
Comment 3 caulier.gilles 2011-07-13 08:05:52 UTC
Created attachment 61832 [details]
index.html page generated by the plugin.

Munteanu,

This is the index.html page generated by the plugin. In Firefox 4 or Chromium 12, nothing is visible about flash component. But if i open simpleviewer.swf file instead, all work fine as expected. Of course last version of Adobe flash module is installed on my computer.

Can you reproduce on your computer ?

Gilles Caulier
Comment 4 Veaceslav Munteanu 2011-07-13 08:12:35 UTC
yes, and i already know where is the problem. Program writes:

<embed src="viewer.swf"

instead of:

<embed src="simpleviewer.swf"
Comment 5 Veaceslav Munteanu 2011-07-13 08:25:40 UTC
Created attachment 61834 [details]
this patch only fix index.html please use it with flashexport.patch

Fixed.
Comment 6 caulier.gilles 2011-07-13 10:11:18 UTC
Git commit e8db1b0c9dd56c43d70ff523b29a2e92dff5e1cc by Gilles Caulier.
Committed on 13/07/2011 at 12:10.
Pushed by cgilles into branch 'master'.

apply patch #61834 from Munteanu Veaceslav
BUGS: 277480

M  +1    -1    flashexport/index.template     

http://commits.kde.org/kipi-plugins/e8db1b0c9dd56c43d70ff523b29a2e92dff5e1cc